#### PyKDE - Python Bindings for KDE

# class KLibrary |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KLibrary
Inherits | QObject

### methods

- KLibrary (libname, filename, handle)

  Not Implemented

- KLibrary (a0, a1, a2)

  returns a KLibrary instance
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |
  a1 | QString |
  a2 | void |

- factory ()

  returns (KLibFactory)

- fileName ()

  returns (QString)

- hasSymbol (name)

  returns (bool)
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  name | char |

- name ()

  returns (QString)

- symbol (name)

  returns (void)
  Argument | Type | Default
  --- | --- | ---
  name | char |

- unload ()

  returns nothing

- ~KLibrary ()

  returns nothing